' VBScript source code
' SumClient.vbs
'
' Simple COM Client VB Script

'Application Entry Point

'Create Sum Object
Set obSum = CreateObject("Stateful.Sum.1")
Total = 0

do
    'Set up menu
    Menu = "COM Client Menu" & vbCr & _
            "0 - Exit" & vbCr & _
            "1 - Accumulate a value" & vbCr & _
            "2 - Add two values" & vbCr & vbCr & _
            "Current Cumulative Total: "

    'Get selection
    Choice = InputBox(Menu & Total)

    'Execute command
    Select Case Choice
        Case "":
            'This interperets the cancel button as a quit request
            Choice = "0"
        Case "0":
        Case "1":
            Value = InputBox("Enter a value to accumulate:")
            Total = obSum.Accumulate(Value)
        Case "2":
            Value1 = InputBox("Enter the first value to add:")
            Value2 = InputBox("Enter the second value to add:")
            MsgBox obSum.Add(Value1,Value2), 0, "Transient Total"
        Case Else:
            MsgBox "Bad choice"
    End Select

Loop While Choice <> "0"
'End of Application
