// Sum.cpp : Implementation of CSum

#include "stdafx.h"
#include "Sum.h"


// CSum


STDMETHODIMP CSum::Add(SHORT iOp1, SHORT iOp2, SHORT* piTotal)
{
    if ( NULL == piTotal )
        return E_INVALIDARG;

    *piTotal = iOp1 + iOp2;

    return S_OK;
}

STDMETHODIMP CSum::Accumulate(SHORT iValue, SHORT* piTotal)
{
    if ( NULL == piTotal )
        return E_INVALIDARG;

    m_iTotal += iValue;
    *piTotal = m_iTotal;

    return S_OK;
}
